Index: src/misc/unicode.c
===================================================================
--- src/misc/unicode.c	(revision 17071)
+++ src/misc/unicode.c	(working copy)
@@ -56,6 +56,10 @@
 # define ASSUME_UTF8 1
 #endif
 
+#ifdef __BEOS__
+# define ASSUME_UTF8 1
+#endif
+
 #ifndef ASSUME_UTF8
 # if defined (HAVE_ICONV)
 /* libiconv is more powerful than Win32 API (it has translit) */
Index: configure.ac
===================================================================
--- configure.ac	(revision 17071)
+++ configure.ac	(working copy)
@@ -265,7 +265,9 @@
     VLC_ADD_CXXFLAGS([beos],[])
     VLC_ADD_LDFLAGS([vlc logger],[-lbe])
     VLC_ADD_LDFLAGS([beos],[-lbe -lmedia -ltranslation -ltracker -lgame])
-
+    VLC_ADD_LDFLAGS([beos],[-lbe -lmedia -ltranslation -ltracker -lgame])
+    VLC_ADD_LDFLAGS([dvdnav dvdread],[-ldl])
+    LDFLAGS_save="${LDFLAGS_save} -lintl"; LDFLAGS="${LDFLAGS_save}"
     dnl Check for BONE
     if test -f /boot/beos/system/lib/libbind.so; then
         VLC_ADD_LDFLAGS([access_file access_ftp access_mms access_output_udp telnet netsync sap ipv4 vlc growl],[-lbind -lsocket])
@@ -808,8 +810,6 @@
 
 dnl it seems that autoconf do the pkg-config detection only for the first PKG_CHECK_MODULES in the configure.ac ( which is logical) but in our case it is nested in a if so it was not working if you're not on linux or have disable hal.
 
-PKG_PROG_PKG_CONFIG()
-
 dnl Check for hal
 AC_ARG_ENABLE(hal,
   [  --enable-hal            Linux HAL services discovery (default enabled)])
